KDE 4.4 PyKDE API Reference

- KDE's Python API

# GeoDataLineString Class Reference

`from PyKDE4.marble import *`

Inherits: Marble.GeoDataGeometry → Marble.GeoDataObject → Marble.GeoNode
Subclasses: Marble.GeoDataLinearRing
Namespace: Marble.GeoDataLineString

## Detailed Description

## Methods

| __init__ (self, Marble.TessellationFlags f=Marble.NoTessellation)
| __init__ (self, Marble.GeoDataGeometry other)
| append (self, Marble.GeoDataCoordinates position)
Marble.GeoDataCoordinates | at (self, int pos)
| clear (self)
Marble.GeoDataCoordinates | first (self)
bool | isClosed (self)
bool | isEmpty (self)
Marble.GeoDataCoordinates | last (self)
Marble.GeoDataLatLonAltBox | latLonAltBox (self)
float | length (self, float planetRadius)
QString | nodeType (self)
Marble.GeoDataLineString | operator << (self, Marble.GeoDataCoordinates position)
Marble.GeoDataCoordinates | operator [] (self, int pos)
| pack (self, QDataStream stream)
| remove (self, int i)
| setTessellate (self, bool tessellate)
| setTessellationFlags (self, Marble.TessellationFlags f)
int | size (self)
bool | tessellate (self)
Marble.TessellationFlags | tessellationFlags (self)
Marble.GeoDataLineString | toNormalized (self)
Marble.GeoDataLineString | toPoleCorrected (self)
| unpack (self, QDataStream stream)

## Method Documentation

__init__ | ( | self, |
|  | Marble.TessellationFlags | f=Marble.NoTessellation
| ) |  |  |

__init__ | ( | self, |
|  | Marble.GeoDataGeometry | other
| ) |  |  |

append | ( | self, |
|  | Marble.GeoDataCoordinates | position
| ) |  |  |

Marble.GeoDataCoordinates at | ( | self, |
|  | int | pos
| ) |  |  |

clear | ( |  | self ) |

Marble.GeoDataCoordinates first | ( |  | self ) |

bool isClosed | ( |  | self ) |

bool isEmpty | ( |  | self ) |

Marble.GeoDataCoordinates last | ( |  | self ) |

Marble.GeoDataLatLonAltBox latLonAltBox | ( |  | self ) |

float length | ( | self, |
|  | float | planetRadius
| ) |  |  |

QString nodeType | ( |  | self ) |

Marble.GeoDataLineString operator << | ( | self, |
|  | Marble.GeoDataCoordinates | position
| ) |  |  |

Marble.GeoDataCoordinates operator [] | ( | self, |
|  | int | pos
| ) |  |  |

pack | ( | self, |
|  | QDataStream | stream
| ) |  |  |

remove | ( | self, |
|  | int | i
| ) |  |  |

setTessellate | ( | self, |
|  | bool | tessellate
| ) |  |  |

setTessellationFlags | ( | self, |
|  | Marble.TessellationFlags | f
| ) |  |  |

int size | ( |  | self ) |

bool tessellate | ( |  | self ) |

Marble.TessellationFlags tessellationFlags | ( |  | self ) |

Marble.GeoDataLineString toNormalized | ( |  | self ) |

Marble.GeoDataLineString toPoleCorrected | ( |  | self ) |

unpack | ( | self, |
|  | QDataStream | stream
| ) |  |  |